s_ser_device_t Struct Reference
Public interface » ID macros

Serial device configuration information. More...

`#include <hd.h>`

## Data Fields

struct s_ser_device_t * | next
unsigned | hd_idx
char * | dev_name
str_list_t * | at_resp
int | fd
struct termios | tio
unsigned | max_baud
unsigned | cur_baud
unsigned | is_mouse:1
unsigned | is_modem:1
unsigned | do_io:1
unsigned char | buf [0x1000]
int | buf_len
int | garbage
int | non_pnp
int | pnp
unsigned char | pnp_id [8]
char * | serial
char * | class_name
char * | dev_id
char * | user_name
char * | vend
char * | init_string1
char * | init_string2
char * | pppd_option
unsigned | pnp_rev
unsigned | bits

## Detailed Description

Serial device configuration information.

The documentation for this struct was generated from the following file:

- hd.h